# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "qpath"
version = "0.1.0"
authors = ["Akinori Musha <knu@idaemons.org>"]
build = false
exclude = ["QPath.md"]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Register, list, and maintain frequently used file and directory paths"
readme = "README.md"
keywords = [
    "path",
    "bookmark",
    "cli",
]
categories = ["command-line-utilities"]
license = "MIT"
repository = "https://github.com/knu/qpath"

[package.metadata.release]
publish = false
push = false
pre-release-commit-message = "Bump version to {{version}}"
tag-message = "Release version {{version}}"
pre-release-hook = [
    "sh",
    "-c",
    'git-cliff --tag "v$NEW_VERSION" --output CHANGELOG.md',
]

[[bin]]
name = "qpath"
path = "src/main.rs"

[[test]]
name = "cli"
path = "tests/cli.rs"

[dependencies.anyhow]
version = "1"

[dependencies.brace-expand]
version = "0.1"

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.glob]
version = "0.3"

[dependencies.libc]
version = "0.2"

[dependencies.minijinja]
version = "2"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.toml]
version = "0.9"

[dependencies.toml_edit]
version = "0.23"

[dev-dependencies.tempfile]
version = "3"

[profile.dist]
lto = "thin"
inherits = "release"
